# class toResultIndexes

This widget displays information about indexes of an object specified by the first and second parameter in the query. More...

Definition | `#include <toresultindexes.h>`
Inherits | toResultView [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toResultIndexes (QWidget *parent,const char *name=NULL)
- ~toResultIndexes ()
- virtual void query (const QString &sql,const toQList ¶m)
- virtual bool canHandle (toConnection &conn)

## Detailed Description

This widget displays information about indexes of an object specified by the first and second parameter in the query. The sql is not used in the query.

toResultIndexes (QWidget *parent,const char *name=NULL)

### toResultIndexes

Create the widget.

Parameters:

parent | Parent widget.
name | Name of widget.

~toResultIndexes ()

### ~toResultIndexes

Destroy object

void query (const QString &sql,const toQList ¶m)

### query

[virtual]

Reimplemented for internal reasons.

Reimplemented from toResultView.

bool canHandle (toConnection &conn)

### canHandle

[virtual]

Support Oracle & MySQL

Reimplemented from toResultView.